#ifndef __MAPPINGS_H
#define __MAPPINGS_H

#include <X11/Xlib.h>

#include "LinkedList.h"
#include "Mapping.h"

class TeleWindow;

class Mappings
{
    private:
        static Mappings *_instance;

        Display *_dpy;

        LinkedList<Mapping*> _mappings;
        bool _mappingsLoaded;


        void loadMappings();

        void parseLine(const char *line);

    public:
        Mappings(Display *dpy);
        ~Mappings();

        Mappings* instance() { return _instance; }


        void handleEvent(TeleWindow *teleWindow, Mapping::Event event, KeyCode keyCode);
};


#endif
